//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.08 at 11:55:12 AM CET 
//


package pl.adriankozlowski.jpk;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for HashValueSHAType complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType name="HashValueSHAType">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>token">
 *       &lt;attribute name="algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="SHA-256" />
 *       &lt;attribute name="encoding" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" fixed="Base64" />
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HashValueSHAType", propOrder = {
        "value"
})
@XmlSeeAlso({
        pl.adriankozlowski.jpk.DocumentType.HashValue.class
})
public class HashValueSHAType {

    @XmlValue
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String value;
    @XmlAttribute(name = "algorithm", required = true)
    @XmlSchemaType(name = "anySimpleType")
    protected String algorithm;
    @XmlAttribute(name = "encoding", required = true)
    @XmlSchemaType(name = "anySimpleType")
    protected String encoding;

    /**
     * Gets the value of the value property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Gets the value of the algorithm property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getAlgorithm() {
        if (algorithm == null) {
            return "SHA-256";
        } else {
            return algorithm;
        }
    }

    /**
     * Sets the value of the algorithm property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setAlgorithm(String value) {
        this.algorithm = value;
    }

    /**
     * Gets the value of the encoding property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getEncoding() {
        if (encoding == null) {
            return "Base64";
        } else {
            return encoding;
        }
    }

    /**
     * Sets the value of the encoding property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setEncoding(String value) {
        this.encoding = value;
    }

}
